## opensips-3.5.4-2.src.tar.gz

=== modules/db_unixodbc/Makefile ===
# WARNING: do not run this directly, it should be run by the master Makefile

include ../../Makefile.defs
auto_gen=
NAME=db_unixodbc.so

ifeq ($(CROSS_COMPILE),)
LIBS += -lodbc
else
# sql.h locations (freebsd,openbsd  solaris)
DEFS += -I$(LOCALBASE)/include -I$(LOCALBASE)/include/odbc

# libodbc locations on RH/Suse, Solaris /OpenBSD, FreeBSD
# (Debian does the right thing and puts it in /usr/lib)
LIBS += -L$(LOCALBASE)/lib -lodbc
endif

include ../../Makefile.modules

=== packaging/freebsd/Makefile ===
# New ports collection makefile for:	opensips
# Date created:				20 October 2005
# Whom:					jesusr
#
# $FreeBSD: ports/net/opensips/Makefile,v 1.9 2007/08/20 09:12:42 miwi Exp $
#

PORTNAME=	opensips
PORTVERSION=	3.5.4
CATEGORIES=	net
MASTER_SITES=	https://opensips.org/pub/opensips/${PORTVERSION}/
DISTNAME=	${PORTNAME}-${PORTVERSION}-tls_src

MAINTAINER=	jesusr@FreeBSD.org
COMMENT=	A very fast and configurable SIP server with TLS support

LIB_DEPENDS=	radiusclient-ng.2:${PORTSDIR}/net/radiusclient

WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}-tls

USE_GMAKE=	yes
MAKE_ENV=	CC="${CC}" \
		CC_EXTRA_OPTS="${CFLAGS}" \
		PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
		PTHREAD_LIBS="${PTHREAD_LIBS}"

PLIST_FILES=	sbin/opensips

PLIST_DIRS=	lib/opensips/modules lib/opensips

MODULES=	acc alias_db auth auth_db auth_diameter sqlops benchmark \
		cfgutils dbtext dialog dispatcher diversion domain \
		domainpolicy enum exec flatstore gflags group imc \
		mangler maxfwd mediaproxy mi_datagram mi_fifo msilo nathelper \
		options path permissions pike registrar rr \
		siptrace sl speeddial sst statistics textops tm uac \
		uac_redirect uri_db usrloc xlog

RC_FILES=	acc/radiusclient.conf \
		acc/servers \
		dictionary.opensips \
		opensips.cfg
RC_DIRS=	acc

ONLY_FOR_ARCHS=	i386

MAN5=		opensips.cfg.5
MAN8=		opensips.8

PORTDOCS=	*

SUB_FILES=	pkg-install pkg-deinstall
SUB_LIST=	RC_DIRS="${RC_DIRS}" RC_FILES="${RC_FILES}"

OPTIONS=	MYSQL "MySQL support" on \
		POSTGRESQL "PostgreSQL support" off \
		UNIXODBC "UnixODBC support" off \
		CPL "CPL_C support" off \
		TLS "TLS support" off \
		SNMPSTATS "SNMPStats support" off

.include <bsd.port.pre.mk>

.if defined(WITH_MYSQL)
USE_MYSQL=	yes
MODULES+=	mysql
.else
MAKE_ENV+=	MYSQL=mysql
.endif

.if defined(WITH_POSTGRESQL)
USE_PGSQL=	yes
MODULES+=	postgres
.else
MAKE_ENV+=	POSTGRESQL=postgres
.endif

.if defined(WITH_UNIXODBC)
LIB_DEPENDS+=	odbc.1:${PORTSDIR}/databases/unixODBC
MODULES+=	unixodbc
.else
MAKE_ENV+=	UNIXODBC=unixodbc
.endif

.if defined(WITH_CPL)
USE_GNOME=	libxml2
MODULES+=	cpl_c
PLIST_FILES+=	etc/opensips/cpl-06.dtd
.else
MAKE_ENV+=	CPL=cpl_c
.endif

.if defined(WITH_TLS)
MODULES+=	tlsops
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
TLS_RC_FILES=	tls/rootCA/cacert.pem \
		tls/rootCA/certs/01.pem \
		tls/rootCA/index.txt \
		tls/rootCA/private/cakey.pem \
		tls/rootCA/serial \
		tls/user/user-calist.pem \
		tls/user/user-cert.pem \
		tls/user/user-cert_req.pem \
		tls/user/user-privkey.pem \
		tls/README \
		tls/ca.conf \
		tls/request.conf \
		tls/user.conf
RC_FILES+=	${TLS_RC_FILES}
TLS_RC_DIRS=	tls/user \
		tls/rootCA/certs \
		tls/rootCA/private \
		tls/rootCA \
		tls
RC_DIRS+=	${TLS_RC_DIRS}
.else
MAKE_ENV+=	TLSOPS=tlsops
MAKE_ARGS+=	TLS=""
.endif

.if defined(WITH_SNMPSTATS)
RUN_DEPENDS+=	snmpcheck:${PORTSDIR}/net-mgmt/net-snmp
MODULES+=	snmpstats
.else
MAKE_ENV+=	SNMPSTATS=snmpstats
.endif

PLIST_FILES+=	${MODULES:S|^|lib/opensips/modules/|:S|$|.so|} \
		${RC_FILES:S|^|etc/opensips/|:S|$|.default|}

post-patch:
.if defined(NOPORTDOCS)
	@${REINPLACE_CMD} -e 's|install-doc install-man|install-man|' \
		${WRKSRC}/Makefile
.endif
	@${REINPLACE_CMD} -e 's|-g -O9 ||' -e 's|-O9 ||' ${WRKSRC}/Makefile.defs
	@${REINPLACE_CMD} -e 's|/etc/opensips|${PREFIX}/etc/opensips|' \
		${WRKSRC}/modules/mediaproxy/README \
		${WRKSRC}/modules/cpl_c/README \
		${WRKSRC}/INSTALL
	@${REINPLACE_CMD} -e 's|/usr/local/sbin/opensips|${PREFIX}/sbin/opensips|' \
		${WRKSRC}/INSTALL
	@${REINPLACE_CMD} -e 's|/usr/local|${PREFIX}|' \
		${WRKSRC}/etc/opensips.cfg \
		${WRKSRC}/modules/acc/README \
		${WRKSRC}/modules/avp_radius/README \
		${WRKSRC}/modules/db_berkeley/README \
		${WRKSRC}/modules/ldap/README \
		${WRKSRC}/modules/osp/README \
		${WRKSRC}/modules/perl/README \
		${WRKSRC}/modules/snmpstats/README \
		${WRKSRC}/modules/speeddial/README \
		${WRKSRC}/modules/unixodbc/README
	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
		${WRKSRC}/modules/acc/etc/radiusclient.conf
	@${REINPLACE_CMD} -e 's|/usr/local/etc/radiusclient|${PREFIX}/etc/opensips/acc|' \
		${WRKSRC}/modules/acc/acc_mod.c ${WRKSRC}/modules/acc/README

post-install:
	${INSTALL_DATA} ${WRKSRC}/etc/opensips.cfg \
		${PREFIX}/etc/opensips/opensips.cfg.default
	${MKDIR} ${PREFIX}/etc/opensips/acc
	${INSTALL_DATA} ${WRKSRC}/modules/acc/etc/radiusclient.conf \
		${PREFIX}/etc/opensips/acc/radiusclient.conf.default
	${INSTALL_DATA} ${WRKSRC}/modules/acc/etc/servers \
		${PREFIX}/etc/opensips/acc/servers.default
.for d in ${TLS_RC_DIRS}
	${MKDIR} ${PREFIX}/etc/opensips/${d}
.endfor
.for f in ${TLS_RC_FILES}
	${INSTALL_DATA} ${WRKSRC}/etc/${f} ${PREFIX}/etc/opensips/${f}.default
.endfor
	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL

.include <bsd.port.post.mk>

=== packaging/netbsd/Makefile ===
# New ports collection makefile for:    opensips
#
# $NetBSD$
#

COMMENT= "OpenSIPS"

PORTNAME= opensips
PORTVERSION= 3.5.4
CATEGORIES= net
MASTER_SITES= https://opensips.org/pub/opensips/3.5.4/

MAINTAINER= bogdan@opensips.org

MAN8=opensips.8
MAN5=opensips.cfg.5
# MANCOMPRESSED must not be specified (if defined is assumed to be yes)


USE_GMAKE= yes
USE_TOOLS+= gmake
# we override the DISTFILE NAME
DISTNAME= ${PORTNAME}-${PORTVERSION}
DISTFILES= ${DISTNAME}_src.tar.gz
WRKSRC= ${WRKDIR}/${PORTNAME}-${PORTVERSION}

# build by default mysql and jabber
MAKE_ENV= include_modules="mysql jabber"

# depends on expat and mysqlclient because of the above modules
DEPENDS= expat-[0-9]*:../../textproc/expat \
         mysql-client>=3.23.35:../../databases/mysql-client

#.include "/usr/pkgsrc/mk/bsd.prefs.mk"

pre-fetch:

.include "../../mk/bsd.pkg.mk"

=== packaging/openbsd/Makefile ===
# New ports collection makefile for:    opensips
#
# $OpenBSD$
#

COMMENT= "OpenSIPS"

PORTNAME= opensips
PORTVERSION= 3.5.4
CATEGORIES= net
MASTER_SITES= https://opensips.org/pub/opensips/3.5.4/

MAINTAINER= bogdan@opensips.org

MAN8=opensips.8
MAN5=opensips.cfg.5
# MANCOMPRESSED must not be defined in openbsd (defined==yes)

# GPL
PERMIT_PACKAGE_CDROM=	Yes
PERMIT_PACKAGE_FTP=	Yes
PERMIT_DISTFILES_CDROM=	Yes
PERMIT_DISTFILES_FTP=	Yes


USE_GMAKE= yes
# we override the DISTFILE NAME
DISTNAME= ${PORTNAME}-${PORTVERSION}
DISTFILES= ${DISTNAME}_src.tar.gz
WRKSRC= ${WRKDIR}/${PORTNAME}-${PORTVERSION}

# build by default mysql and jabber
MAKE_ENV= include_modules="mysql jabber"

# depends on mysql and libexpat because of the above modules
BUILD_DEPENDS= :expat-1.*:textproc/expat \
               :mysql-client-3.23.*:databases/mysql
LIB_DEPENDS=   expat.2:expat-1.*:textproc/expat \
               lib/mysql/mysqlclient.10:mysql-client-3.23.*:databases/mysql



pre-fetch:


.include <bsd.port.mk>

=== packaging/debian/changelog ===
opensips (3.5.4-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 19 Feb 2025 17:08:31 +0200

opensips (3.5.3-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 18 Dec 2024 16:31:00 +0200

opensips (3.5.2-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 23 Oct 2024 17:51:44 +0300

opensips (3.5.1-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 21 Aug 2024 12:29:57 +0300

opensips (3.5.0-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Thu, 25 Jul 2024 16:41:48 +0300

opensips (3.5.0-rc1-1) stable; urgency=low

  * Minor Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 19 Jun 2024 15:22:15 +0300

opensips (3.5.0-beta-1) beta; urgency=low

  * Major Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Thu, 09 May 2024 18:14:29 +0300

opensips (3.5.0-dev-1) beta; urgency=low

  * Development Build.

 -- Nick Altmann <nick@altmann.pro>  Thu, 18 May 2023 16:00:00 +0300

opensips (3.4.0-1) beta; urgency=low

  * Major Public Release.

 -- Liviu Chircu <liviu@opensips.org>  Wed, 17 May 2023 16:06:38 +0300

opensips (3.3.0-1) stable; urgency=low

  * Minor Public Release.

 -- Razvan Crainea <razvan@opensips.org>  Mon, 17 Aug 2021 00:00:00 +0300

opensips (3.2.0-1) stable; urgency=low

  * Minor Public Release.

 -- Razvan Crainea <razvan@opensips.org>  Wed, 21 Jul 2021 15:07:53 +0300

opensips (3.1.0-1) stable; urgency=low

  * Minor Public Release.

 -- Razvan Crainea <razvan@opensips.org>  Tue, 16 Apr 2019 21:15:04 +0300

opensips (3.0.0-1) unstable; urgency=medium

  * Local package

 -- Razvan Crainea <razvan@opensips.org>  Fri, 14 Apr 2017 12:20:44 +0200

=== PKGBUILD ===
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>

pkgname=opensips
pkgver=3.5.4
pkgrel=2
pkgdesc="An Open Source SIP Server able to act as a SIP proxy, registrar, location server, redirect server ..."
url="https://www.opensips.org"
depends=('gcc-libs')
makedepends=('libldap' 'libmariadbclient' 'libmicrohttpd' 'libxml2' 'libxslt'
             'lynx' 'openssl' 'postgresql-libs' 'unixodbc')
optdepends=('curl: db_http module'
            'libldap: ldap module'
            'libmicrohttpd: httpd module'
            'libxml2: presence module'
            'mariadb-libs: db_mysql module'
            'openssl: tls_openssl module'
            'postgresql-libs'
            'unixodbc: db_unixodbc module')
backup=("etc/opensips/opensips.cfg"
	"etc/opensips/osipsconsolerc"
	"etc/opensips/opensipsctlrc")
arch=('x86_64')
license=('GPL')
options=('!emptydirs' '!makeflags')
source=(https://opensips.org/pub/opensips/${pkgver}/opensips-${pkgver}.tar.gz
	opensips.service)
sha256sums=('9a69277033d6682f47de98481993b07a4cada6072ddbce0622cbbbeae786bec6'
            'c2fec4be085b108db10834fa9832e98d696c2de6408f85f96cf89c13bf6be819')

_modules="db_http db_mysql db_postgres db_unixodbc h350 httpd ldap presence presence_xml proto_tls tls_mgm tls_openssl tm rr"

build() {
  cd "$srcdir"/$pkgname-$pkgver/

  make \
	include_modules="${_modules}" bin_dir=bin/ cfg_target=/etc/$pkgname/ \
	LIBDIR=lib PREFIX=/usr
}

package() {
  cd "$srcdir"/$pkgname-$pkgver/

  make \
	include_modules="${_modules}" bin_dir=bin/ cfg_target=/etc/$pkgname/ cfg_prefix="$pkgdir" \
	BASEDIR="$pkgdir" PREFIX=/usr LIBDIR=lib install

  install -Dm0644 "$srcdir"/$pkgname.service "$pkgdir"/usr/lib/systemd/system/$pkgname.service
}

=== packaging/debian/rules ===
#!/usr/bin/make -f
# 2010/08/24: Allow building of individual modules (kennard)
# 2015/08/14: Change URL to github sources

# To control which packages get built, set BUILD_MODPKG_LIST to list
# of packages to build (see ALL_MODPKG_LIST for candiate names).  Set to
# 'NONE' to not build any module packages (the primary package is always
# built). By default all delcared packages (debian/control) will be built.


# Supported DEB_BUILD_OPTIONS:
#	noopt,nostrip,debug -- standard
#	upstreamcflags -- don't set cflags, let upstream package Makefile do it

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEBVERSION:=$(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION:=$(shell echo $(DEBVERSION) \
					| sed -e 's/^.*://' -e 's/-[0-9.]*$$//' -e 's/.dfsg$$//')

FILENAME := opensips_$(UPVERSION).orig.tar.gz
URL := https://github.com/OpenSIPS/opensips/archive/$(UPVERSION).tar.gz

#
# INSTALL_PREFIX - can be defined at build time to force a specific install
#                  path for both binaries and config files
#
# We automatically disable "dh_usrlocal" if the user intends the package to
# install files under "/usr/local" (this should be a user-only directory!)
ifneq ($(INSTALL_PREFIX),)
OVERRIDE_DH_USRLOCAL := $(shell echo $(INSTALL_PREFIX) | \
                          grep -c "^/\+usr/local\>")

ifneq ($(OVERRIDE_DH_USRLOCAL),0)
override_dh_usrlocal:
endif

BIN_PREFIX ?= $(INSTALL_PREFIX)
else
BIN_PREFIX ?= /usr
endif

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# List of all debian module packages we will build
# Used to index the make variable below, which has details about each package
ALL_MODPKG_LIST := \
	AUTH BERKELEY CARRIERROUTE CGRATES COMPRESSION CPL \
	DBHTTP DIALPLAN EMERGENCY GEOIP HTTP IDENTITY JABBER \
	JSON KAFKA LDAP LUA MEMCACHED MSRP MYSQL PERL POSTGRES \
	PRESENCE PROMETHEUS PROTO_TLS PROTO_WSS PYTHON RABBITMQ \
	REDIS RADIUS REGEX REST_CLIENT SIPREC SNMPSTATS SQLITE STIR_SHAKEN \
	TLS_MGM TLS_OPENSSL TLS_WOLFSSL UNIXODBC UUID XML XMLRPC XMPP IPSEC


MAJOR_RELEASE=$(shell lsb_release -rs | cut -d "." -f 1)
# debian unstable (sid) doesn't output a version number, so emulate one
ifeq ($(MAJOR_RELEASE), unstable)
	MAJOR_RELEASE=1000
endif

ifeq ($(shell dpkg-vendor --derives-from Debian && echo yes),yes)
	REL_STRETCH_OR_XENIAL=9
endif
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	REL_STRETCH_OR_XENIAL=16
endif

ifeq ($(shell dpkg-vendor --derives-from Debian && echo yes),yes)
	REL_BUSTER_OR_FOCAL=10
endif
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	REL_BUSTER_OR_FOCAL=20
endif


#
# AUTH_JWT package
#
ifeq ($(shell test $(MAJOR_RELEASE) -ge $(REL_BUSTER_OR_FOCAL); echo $$?),0)
	ALL_MODPKG_LIST += AUTH_JWT
endif


#
# DIAMETER package
#
ifeq ($(shell test $(MAJOR_RELEASE) -ge $(REL_BUSTER_OR_FOCAL); echo $$?),0)
	ALL_MODPKG_LIST += DIAMETER
endif


#
# MONGODB package
#
ifeq ($(shell test $(MAJOR_RELEASE) -ge $(REL_STRETCH_OR_XENIAL); echo $$?),0)
	ALL_MODPKG_LIST += MONGODB
endif


#
# PROTO_SCTP package
#
# add SCTP only on linux systems
ifeq ($(DEB_HOST_ARCH_OS),linux)
	ALL_MODPKG_LIST += PROTO_SCTP
endif


ifeq ($(BUILD_MODPKG_LIST),NONE)
	override BUILD_MODPKG_LIST :=
else
	ifeq ($(BUILD_MODPKG_LIST),)
		override BUILD_MODPKG_LIST := $(ALL_MODPKG_LIST)
	endif
endif


# FOO_MODULES is the directory name within modules/ that belongs to the package
# FOO_MOD_PATH is same as FOO_MODULES, but with 'modules/' prepended

AUTH_JWT_PKGNAME = opensips-auth-jwt-module
AUTH_JWT_MODULES = auth_jwt
AUTH_JWT_MOD_PATH=$(addprefix modules/, $(AUTH_JWT_MODULES))
AUTH_PKGNAME = opensips-auth-modules
AUTH_MODULES = auth uac_auth
AUTH_MOD_PATH=$(addprefix modules/, $(AUTH_MODULES))
BERKELEY_PKGNAME = opensips-berkeley-module
BERKELEY_MODULES = db_berkeley
BERKELEY_MOD_PATH=$(addprefix modules/, $(BERKELEY_MODULES))
CARRIERROUTE_PKGNAME = opensips-carrierroute-module
CARRIERROUTE_MODULES = carrierroute
CARRIERROUTE_MOD_PATH=$(addprefix modules/, $(CARRIERROUTE_MODULES))
CGRATES_PKGNAME = opensips-cgrates-module
CGRATES_MODULES = cgrates
CGRATES_MOD_PATH=$(addprefix modules/, $(CGRATES_MODULES))
COMPRESSION_PKGNAME = opensips-compression-module
COMPRESSION_MODULES = compression
COMPRESSION_MOD_PATH=$(addprefix modules/, $(COMPRESSION_MODULES))
CPL_PKGNAME = opensips-cpl-module
CPL_MODULES = cpl_c
CPL_MOD_PATH=$(addprefix modules/, $(CPL_MODULES))
DBHTTP_PKGNAME = opensips-dbhttp-module
DBHTTP_MODULES = db_http
DBHTTP_MOD_PATH=$(addprefix modules/, $(DBHTTP_MODULES))
DIALPLAN_PKGNAME = opensips-dialplan-module
DIALPLAN_MODULES = dialplan
DIALPLAN_MOD_PATH=$(addprefix modules/, $(DIALPLAN_MODULES))
DIAMETER_PKGNAME = opensips-diameter-module
DIAMETER_MODULES = aaa_diameter
DIAMETER_MOD_PATH=$(addprefix modules/, $(DIAMETER_MODULES))
EMERGENCY_PKGNAME = opensips-emergency-module
EMERGENCY_MODULES = emergency
EMERGENCY_MOD_PATH=$(addprefix modules/, $(EMERGENCY_MODULES))
GEOIP_PKGNAME = opensips-geoip-module
GEOIP_MODULES = mmgeoip
GEOIP_MOD_PATH=$(addprefix modules/, $(GEOIP_MODULES))
HTTP_PKGNAME = opensips-http-modules
HTTP_MODULES = httpd mi_html mi_http pi_http
HTTP_MOD_PATH=$(addprefix modules/, $(HTTP_MODULES))
IDENTITY_PKGNAME = opensips-identity-module
IDENTITY_MODULES = identity
IDENTITY_MOD_PATH=$(addprefix modules/, $(IDENTITY_MODULES))
JABBER_PKGNAME = opensips-jabber-module
JABBER_MODULES = jabber
JABBER_MOD_PATH=$(addprefix modules/, $(JABBER_MODULES))
JSON_PKGNAME = opensips-json-module
JSON_MODULES = json
JSON_MOD_PATH=$(addprefix modules/, $(JSON_MODULES))
KAFKA_PKGNAME = opensips-kafka-module
KAFKA_MODULES = event_kafka
KAFKA_MOD_PATH=$(addprefix modules/, $(KAFKA_MODULES))
LDAP_PKGNAME = opensips-ldap-modules
LDAP_MODULES = ldap h350
LDAP_MOD_PATH=$(addprefix modules/, $(LDAP_MODULES))
LUA_PKGNAME = opensips-lua-module
LUA_MODULES = lua
LUA_MOD_PATH=$(addprefix modules/, $(LUA_MODULES))
MEMCACHED_PKGNAME = opensips-memcached-module
MEMCACHED_MODULES = cachedb_memcached
MEMCACHED_MOD_PATH=$(addprefix modules/, $(MEMCACHED_MODULES))
MONGODB_PKGNAME = opensips-mongodb-module
MONGODB_MODULES = cachedb_mongodb
MONGODB_MOD_PATH=$(addprefix modules/, $(MONGODB_MODULES))
MSRP_PKGNAME = opensips-msrp-modules
MSRP_MODULES = msrp_gateway msrp_relay msrp_ua proto_msrp
MSRP_MOD_PATH=$(addprefix modules/, $(MSRP_MODULES))
MYSQL_PKGNAME = opensips-mysql-module
MYSQL_MODULES = db_mysql
MYSQL_MOD_PATH=$(addprefix modules/, $(MYSQL_MODULES))
PERL_PKGNAME = opensips-perl-modules
PERL_MODULES = perl db_perlvdb
PERL_MOD_PATH=$(addprefix modules/, $(PERL_MODULES))
POSTGRES_PKGNAME = opensips-postgres-module
POSTGRES_MODULES = db_postgres
POSTGRES_MOD_PATH=$(addprefix modules/, $(POSTGRES_MODULES))
PRESENCE_PKGNAME = opensips-presence-modules
PRESENCE_MODULES = presence presence_callinfo presence_dialoginfo presence_xml presence_mwi presence_xcapdiff presence_dfks pua pua_bla pua_dialoginfo pua_mi pua_usrloc pua_xmpp rls xcap xcap_client
PRESENCE_MOD_PATH=$(addprefix modules/, $(PRESENCE_MODULES))
PROMETHEUS_PKGNAME = opensips-prometheus-module
PROMETHEUS_MODULES = prometheus
PROMETHEUS_MOD_PATH=$(addprefix modules/, $(PROMETHEUS_MODULES))
PROTO_SCTP_PKGNAME = opensips-sctp-module
PROTO_SCTP_MODULES = proto_sctp
PROTO_SCTP_MOD_PATH=$(addprefix modules/, $(PROTO_SCTP_MODULES))
PROTO_TLS_PKGNAME = opensips-tls-module
PROTO_TLS_MODULES = proto_tls
PROTO_TLS_MOD_PATH=$(addprefix modules/, $(PROTO_TLS_MODULES))
PROTO_WSS_PKGNAME = opensips-wss-module
PROTO_WSS_MODULES = proto_wss
PROTO_WSS_MOD_PATH=$(addprefix modules/, $(PROTO_WSS_MODULES))
PYTHON_PKGNAME = opensips-python-module
PYTHON_MODULES = python
PYTHON_MOD_PATH=$(addprefix modules/, $(PYTHON_MODULES))
RABBITMQ_PKGNAME = opensips-rabbitmq-modules
RABBITMQ_MODULES = event_rabbitmq rabbitmq rabbitmq_consumer
